Bug 116660 - local variable used before set
local variable used before set
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: x3270 (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-24 04:06 EST by d.binderman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-08 11:01:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description d.binderman 2004-02-24 04:06:04 EST
Description of problem:

I just tried to compile Core2 Test1 package x3270-3.3.2.p1-1

The compiler said

1.

screen.c(2212): remark #592: variable "d" is used before its value is set

The source code is

	else if ((b.bits.cs & CS_MASK) !=
			CS_DBCS ||
           d != DBCS_NONE)

and earlier is

		enum dbcs_state d;

Suggest init d before first use.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 2 Karsten Hopp 2004-12-08 11:01:20 EST
'enum dbcs_state d' was already defined in the function header, the  
local definition shadowed that one. Fixed in the next release  

Note You need to log in before you can comment on or make changes to this bug.